/**
 * written by Webdust21 
 */

#include <Arduino.h>
#include <Preferences.h>		// for non-volatile settings
#include "display.h"
TaskHandle_t thread_hid;		// RTOS thread task handle for controlling tasks.

void setup()
{
	Serial.begin(115200);		// Harware CDC USB UART port for debug output.
	Serial.setDebugOutput(true);

	// GPIO setup as necessary.

	// Start the task handler threads.
	// This stack size can be checked & adjusted by reading the Stack Highwater
	// Priority, with 3 (configMAX_PRIORITIES - 1) being the highest, and 0 being the lowest.
	// Handle can be filled with a pointer that can be used to reference the task.
	//                      routine  			   RTOS Name     stack   params  priority   handle           core
    xTaskCreatePinnedToCore(rtos_hid_tft,			"HID", 		16384,   nullptr,     2,    &thread_hid,       1);     // handles TFT LCD--that's it.

}


void loop()
{
	
}
